{ config, pkgs, ... }:

let
  domain = "aumm-aumm.giugl.io";
in
{
  services.jellyseerr = {
    enable = true;
    # package = pkgs.unstablePkgs.jellyseerr;
  };

  architect.vhost.${domain} = {
    dnsInterfaces = [ "tailscale" "lan" ];
    locations."/" = {
      port = config.services.jellyseerr.port;
      allowLan = true;

      allow = [
        config.architect.networks.tailscale.net
      ];
    };
  };
}
